/* gslots.h - includes/defines
 * 
 * gSlots is a slotmachine
 *
 * 1999 Kristian Rietveld <kristian@wxs.nl>
 *
 * this program comes with ABSOLUTELY NO WARRANTY and is published under the
 * terms from the GPL
 *
 */

/* gSlots - a nice slotmachine for Linux/X-windows/GTK+
 * Copyright (C) 1999  Kristian Rietveld <kristian@wxs.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <unistd.h>
#include "structs.h"
#include "protos.h"


/** version symbols **/

#define ID "gSlots-1.01"
#define VERSION "1.01"
#define ID_STRING "gSlots 1.01 - 1999 Kristian Rietveld <kristian@wxs.nl>"

/***** defines *************/

#define MAX_PIXMAPS 11
#define MAX_SCORES 21
#define MAX_PIX_AT_SLOT 16 /* MAX_PIX + 1 */
#define MAXABOUTTEXTLENGTH 61
#define ABOUTWINDOW_WIDTH 500
#define ABOUTWINDOW_HEIGHT 300
