/* protos.h - prototypes
 *
 * gSlots is a slotmachine
 *
 * 1999 Kristian Rietveld <kristian@wxs.nl>
 *
 * this program comes with ABSOLUTELY NO WARRANTY and is published
 * under the terms from the GPL
 *
 */

/* gSlots - a nice slotmachine for Linux/X-windows/GTK+
 * Copyright (C) 1999  Kristian Rietveld <kristian@wxs.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*** prototypes ****/

/* gslots.c */
int  main(int argc, char *argv[]);
void message(const char *text);

/* init.c */
gint progress_timeout(gpointer data);
void update_score_display(gint, gfloat);
void gamewindow_close(GtkWidget *, gpointer);

/* slotfunc.c */
void init_values();
void quit_gslots(GtkWidget *, gpointer);
void bet_1_more_buck(GtkWidget *, gpointer);
void bet_max_bucks(GtkWidget *, gpointer);
void spin_slots(GtkWidget *, gpointer);

/* payoff.c */
void display_payoffchart(GtkWidget *, gpointer);
void payoff_window_close(GtkWidget *, gpointer);
void payoff_window_new_wager_handle();

/* about.c */
void display_about_window();
