/* structs.h - structures
 * 
 * gSlots is a slotmachine
 *
 * 1999 Kristian Rietveld <kristian@wxs.nl>
 *
 * this program comes with ABSOLUTELY NO WARRANTY and is published
 * under the terms from the GPL
 *
 */

/* gSlots - a nice slotmachine for Linux/X-windows/GTK+
 * Copyright (C) 1999  Kristian Rietveld <kristian@wxs.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/***** some structures ****/

struct payoffpicentry {
  int t;
  int tt;
};

struct scoreentry {
  int picatslot[3];
  int score; /* have to be multiplied with the wager */
};

struct gamewindow {
  GtkWidget *window;                  /* A window maybe handy */
  
  /***/

  GtkWidget *mainbox;  /* a vertical box */
  
  /***/

  GtkWidget *gamefield; /* a horizontal box */

  GtkWidget *leftbox;
  
  GtkWidget *holdbox;
  GtkWidget *holdseparator;
  GtkWidget *holdbuttons[3]; /* toggle buttons */

  int        slotrotate[3];
  GtkWidget *slotbox;  /* a horizontal box */
  GdkPixmap *slot[3];    /* displayed slot */ 
  GdkPixmap *theslot[3]; /* the complete slot */
  GtkWidget *slotdraw[3];

  GtkWidget *vsep;
  
  GtkWidget *scorebox; /* a vertical box */

  GtkWidget *creditlabel;
  GtkWidget *wagerlabel;
  GtkWidget *wonlabel;

  GdkPixmap *scoremaps[3];
  GtkWidget *scoredraw[3];

  /***/

  GtkWidget *hsep;

  GtkWidget *buttonbox; /* a horizontal box */
  
  GtkWidget *spinbutton;
  GtkWidget *quitbutton;
  GtkWidget *aboutbutton;
  GtkWidget *payoffchartbutton;
  GtkWidget *betmorebutton;
  GtkWidget *betmaxbutton;

  gint       context_id;
  GtkWidget *statusbar;
};
